
From: Manfred Spraul <manfred@colorfullife.com>

The GD bit in dr7 is on, thus every write access to a debug register 
causes a debug interrupt.
There seem to be two bugs:

a) the code is entry.S does spurious reloads: The call to 
do_notify_resume() overwrites %cl, thus the test of %cl against 
$_TIF_DB7 is spuriously true.
b) someone loads 0xfff into db7. This includes the GD bit, which the 
kernel doesn't handle.

Could you add the attached patch to your tree? It fixes the first part 
of the bug. I don't understand yet where the 0xfff comes from. With it 
applied, I could successfully boot 2.6.0-test3-mm1 on my 2xpIII with 
your .config



 25-akpm/arch/i386/kernel/entry.S |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/i386/kernel/entry.S~4g4g-debug-flags-fix arch/i386/kernel/entry.S
--- 25/arch/i386/kernel/entry.S~4g4g-debug-flags-fix	Fri Aug 15 14:01:51 2003
+++ 25-akpm/arch/i386/kernel/entry.S	Fri Aug 15 14:01:51 2003
@@ -458,6 +458,7 @@ work_notifysig:				# deal with pending s
 	/*
 	 * Reload db7 if necessary:
 	 */
+	movl TI_flags(%ebp), %ecx
 	testb $_TIF_DB7, %cl
 	jnz work_db7
 

_
